Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.util
Class MailUtils

    java.lang.Object
      net.sourceforge.pebble.util.MailUtils

    public class MailUtils

extends java.lang.Object

Utilities for e-mail related functions.

Author:
  Simon Brown

Constructor Summary
`MailUtils()`

Method Summary
`static Session` | `createSession()` Creates a reference to a JavaMail Session.
`static void` | `sendMail(Session session, Blog blog, java.util.Collection to, java.util.Collection cc, java.util.Collection bcc, java.lang.String subject, java.lang.String message)` Sends an e-mail.
`static void` | `sendMail(Session session, Blog blog, java.util.Collection to, java.util.Collection cc, java.lang.String subject, java.lang.String message)` Sends an e-mail.
`static void` | `sendMail(Session session, Blog blog, java.util.Collection to, java.lang.String subject, java.lang.String message)` Sends an e-mail.
`static void` | `sendMail(Session session, Blog blog, java.lang.String to, java.lang.String subject, java.lang.String message)` Sends an e-mail.
`static void` | `validate(java.lang.String email, ValidationContext context)` Validates the given comment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailUtils

    public MailUtils()

Method Detail

### sendMail

    public static void sendMail(Session session,
                                Blog blog,
                                java.lang.String to,
                                java.lang.String subject,
                                java.lang.String message)

  Sends an e-mail.

  Parameters:
    `blog` - the notifying blog
    `to` - the e-mail addresses of the recipients in the TO field
    `subject` - the subject of the e-mail
    `message` - the body of the e-mail

### sendMail

    public static void sendMail(Session session,
                                Blog blog,
                                java.util.Collection to,
                                java.lang.String subject,
                                java.lang.String message)

  Sends an e-mail.

  Parameters:
    `blog` - the notifying blog
    `to` - the e-mail addresses of the recipients in the TO field
    `subject` - the subject of the e-mail
    `message` - the body of the e-mail

### sendMail

    public static void sendMail(Session session,
                                Blog blog,
                                java.util.Collection to,
                                java.util.Collection cc,
                                java.lang.String subject,
                                java.lang.String message)

  Sends an e-mail.

  Parameters:
    `blog` - the notifying blog
    `to` - the e-mail addresses of the recipients in the TO field
    `cc` - the e-mail addresses of the recipients in the CC field
    `subject` - the subject of the e-mail
    `message` - the body of the e-mail

### sendMail

    public static void sendMail(Session session,
                                Blog blog,
                                java.util.Collection to,
                                java.util.Collection cc,
                                java.util.Collection bcc,
                                java.lang.String subject,
                                java.lang.String message)

  Sends an e-mail.

  Parameters:
    `blog` - the notifying blog
    `to` - the e-mail addresses of the recipients in the TO field
    `cc` - the e-mail addresses of the recipients in the CC field
    `bcc` - the e-mail addresses of the recipients in the BCC field
    `subject` - the subject of the e-mail
    `message` - the body of the e-mail

### createSession

    public static Session createSession()
                                 throws java.lang.Exception

  Creates a reference to a JavaMail Session.

  Returns:
    a Session instance
  Throws:
    `java.lang.Exception` - if something goes wrong creating a session

### validate

    public static void validate(java.lang.String email,
                                ValidationContext context)

  Validates the given comment.

  Parameters:
    `email` - the Comment instance to validate
    `context` - the context in which to perform validation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.